@font-face {
  font-family: "TTLakes";
  src: url("assets/fonts/TTLakes-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "TTLakes";
  src: url("assets/fonts/TTLakes-Bold.woff") format("woff");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "TTLakes";
  src: url("assets/fonts/TTLakes-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "TTLakes";
  src: url("assets/fonts/TTLakes-Thin.woff") format("woff");
  font-weight: 300;
  font-style: normal;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: "TTLakes", sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  color: #1b1c21;
  letter-spacing: -0.24px;
  box-shadow:
    #0e185033 16px 0px 52px 0px,
    #454f7e05 -2px 0px 4px 0px;
}

body {
  height: 100vh;
  max-width: 320px;
  display: flex;
  flex-direction: column;
}

.ic {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  padding: 24px 24px 48px 24px;
}
.ic__search {
  margin-left: auto;
}
.ic__close,
.ic__search {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  background-color: #ff3e79;
  border-radius: 50%;
}

menu {
  display: flex;
  flex-direction: column;
  gap: 32px;
  padding-left: 24px;
  height: 80%;
}
menu > div {
  display: inline-flex;
  align-items: center;
  height: 32px;
  position: relative;
}
menu > div:hover {
  color: #7e7e82;
}
menu > div:hover::before {
  position: absolute;
  content: "";
  width: 4px;
  height: 100%;
  background-color: #41f6d7;
  left: -24px;
  border-radius: 0 4px 4px 0;
}
footer {
  margin-top: auto;
  padding: 0 0 32px 24px;
}

.footer__ic {
  display: flex;
  flex-direction: row;
  gap: 16px;
  margin-bottom: 16px;
}
.footer__ic > div {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  background-color: #ff3e79;
  border-radius: 50%;
}
.footer__mail {
  margin-bottom: 12px;
}
.footer__number {
  font-size: 24px;
  line-height: 32px;
  font-weight: 700;
}
.footer__languages {
  display: flex;
  flex-direction: row;
  margin-top: 40px;
  gap: 7px;
}
.footer__languages > div:hover {
  color: #7e7e82;
}
